View Issue Details

IDProjectCategoryView StatusLast Update
0004922mantisbtdocumentationpublic2004-12-11 03:01
Reporterpolzin Assigned Tovboctor  
PrioritynormalSeveritytextReproducibilityN/A
Status closedResolutionfixed 
Product Version0.19.1 
Fixed in Version0.19.2 
Summary0004922: Defaults for Workflow contain "Superfluous arc to itself"
Description

The defaults for the workflow in config_defaults_inc.php are
<pre>

$g_status_enumworkflow[NEW]='10:new,20:feedback,30:acknowledged,40:confirmed,50:assigned,80:resolved';

# $g_status_enum_workflow[FEEDBACK] ='10:new,20:feedback,30:acknowledged,40:confirmed,50:assigned,80:resolved';
# $g_status_enum_workflow[ACKNOWLEDGED] ='20:feedback,30:acknowledged,40:confirmed,50:assigned,80:resolved';
# $g_status_enum_workflow[CONFIRMED] ='20:feedback,40:confirmed,50:assigned,80:resolved';
# $g_status_enum_workflow[ASSIGNED] ='20:feedback,50:assigned,80:resolved,90:closed';
# $g_status_enum_workflow[RESOLVED] ='50:assigned,80:resolved,90:closed';
# $g_status_enum_workflow[CLOSED] ='50:assigned';

</pre>

The new Workflow analyser correctly complains "Superfluous arc to itself" for all states, except "closed".

Probably the enums in config_inc.php should be changed.

TagsNo tags attached.

Relationships

child of 0004818 closedvboctor Mantis 0.19.2 release 

Activities

polzin

polzin

2004-11-29 13:02

reporter   ~0008443

Last edited: 2004-11-29 13:03

To make the update easy, I submit the corrected enums. Note that they are displayed with superfluous line-breaks (preformated text bug 0004762).

<pre>

$g_status_enumworkflow[NEW]='20:feedback,30:acknowledged,40:confirmed,50:assigned,80:resolved';

# $g_status_enum_workflow[FEEDBACK] ='10:new,30:acknowledged,40:confirmed,50:assigned,80:resolved';
# $g_status_enum_workflow[ACKNOWLEDGED] ='20:feedback,40:confirmed,50:assigned,80:resolved';
# $g_status_enum_workflow[CONFIRMED] ='20:feedback,50:assigned,80:resolved';
# $g_status_enum_workflow[ASSIGNED] ='20:feedback,80:resolved,90:closed';
# $g_status_enum_workflow[RESOLVED] ='50:assigned,90:closed';
# $g_status_enum_workflow[CLOSED] ='50:assigned';

</pre>

Issue History

Date Modified Username Field Change
2004-11-29 12:53 polzin New Issue
2004-11-29 13:02 polzin Note Added: 0008443
2004-11-29 13:03 polzin Note Edited: 0008443
2004-11-29 13:03 polzin Note Edited: 0008443
2004-11-29 13:03 polzin Note Edited: 0008443
2004-11-30 04:37 vboctor Assigned To => vboctor
2004-11-30 04:51 vboctor Status new => resolved
2004-11-30 04:51 vboctor Fixed in Version => 0.19.2
2004-11-30 04:51 vboctor Resolution open => fixed
2004-11-30 04:52 vboctor Relationship added child of 0004818
2004-12-11 03:01 vboctor Status resolved => closed